# How to guide template

## Overview

A how to guide walks through a series of steps focused on completing a single task. The guide's goal is not on teaching concepts, but to answer the question "how do I ... ".

The overview section summarizes the problem and can include context on how and where you might use the solution properly.

## Before you start

Include a section on assumptions and prerequisites:

-   Pre-requisite one: WordPress development environment
-   Pre-requisite two: familiarity with JavaScript and Gutenberg
-   Pre-requisite three: custom block or theme

Include other important information here, such as known issues or bugs.

## Step-by-step guide

The guide should include step-by-step directions. Use code snippets, images, or screenshots to help illustrate each step. Include as many (or as few) steps as needed, try to keep each step short and easy to follow.

### Step 1: Optional: title

Brief instructions explaining the first step.

### Step 2: Optional: title

Lead-in sentence for an ordered list:

1. Sub-step A
1. Sub-step B
1. Sub-step C

### Step 3: Optional: title

Lead-in sentence explaining the code snippet. For example:

```shell
npm install
npm run build
```

## Troubleshooting

-   What can go wrong?
-   What are potential error messages and what to do?

## Conclusion

Provide a summary of the steps completed and explain what the user has achieved. You can include links to related articles, more complex examples, or how to learn more on the topic.

<!--
This documentation is based on templates from The Good Docs Project.
This comment can be removed in your guide.
-->
